<?php
/**
 * Plugin Name: Shipox for WooCommerce
 * Plugin URI: https://www.shipox.com
 * Description: Shipox DMS provides you with a complete delivery management software solution for pickup and delivery. Prioritize and assign your drivers with precision and efficiency. Our unique software suits all business types from SMEs to large companies. Shipox features such as a white label app, driver app, and real-time tracking of all delivery personnel and vehicles.
 * Version: 1.1.2
 * Requires at least: 4.4
 * Tested up to: 5.8
 * WC requires at least: 3.0.0
 * WC tested up to: 5.5.2
 *
 * Text Domain: woocommerce-shipox
 * Domain Path: /i18n/languages/
 * License: GPL v3 or later
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 *
 * @package WooCommerce\Shipox
 * @category Core
 * @author Umid Akhmedjanov
 * @internal This file is only used when running as a feature plugin.
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

// Define WC_PLUGIN_FILE.
if (!defined('SHIPOX_PLUGIN_FILE')) {
    define('SHIPOX_PLUGIN_FILE', __FILE__);
}

// Define WC_PLUGIN_FILE.
if (!defined('SHIPOX_SLUG')) {
    define('SHIPOX_SLUG', 'wing');
}

if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) {

    // Include the main WooCommerce class.
    if (!class_exists('Shipox')) {
        include_once dirname(__FILE__) . '/classes/class-shipox.php';
    }

    /**
     * Main instance of Shipox.
     *
     * Returns the main instance of WING to prevent the need to use globals.
     *
     * @since  2.0
     * @return Shipox
     */
    function shipox()
    {
        return Shipox::instance();
    }

    // Global for backwards compatibility.
    $GLOBALS['shipox'] = shipox();

}